Bug 1815672 - [abrt] qt5-qtwebengine: sandbox::CrashSIGSYS_Handler(sandbox::arch_seccomp_data const&, void*)(): QtWebEngineProcess killed by SIGSEGV
Summary: [abrt] qt5-qtwebengine: sandbox::CrashSIGSYS_Handler(sandbox::arch_seccomp_da...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebengine
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:658d1a6226a574aef383e479a8e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-20 20:51 UTC by Karel Volný
Modified: 2020-03-31 08:31 UTC (History)
3 users (show)

Fixed In Version: qt5-qtwebengine-5.13.2-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 00:17:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (112.66 KB, text/plain)
2020-03-20 20:51 UTC, Karel Volný
no flags Details
File: core_backtrace (136.44 KB, text/plain)
2020-03-20 20:51 UTC, Karel Volný
no flags Details
File: cpuinfo (2.49 KB, text/plain)
2020-03-20 20:51 UTC, Karel Volný
no flags Details
File: dso_list (13.85 KB, text/plain)
2020-03-20 20:52 UTC, Karel Volný
no flags Details
File: environ (2.34 KB, text/plain)
2020-03-20 20:52 UTC, Karel Volný
no flags Details
File: exploitable (95 bytes, text/plain)
2020-03-20 20:52 UTC, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-20 20:52 UTC, Karel Volný
no flags Details
File: maps (96.70 KB, text/plain)
2020-03-20 20:52 UTC, Karel Volný
no flags Details
File: open_fds (7.21 KB, text/plain)
2020-03-20 20:52 UTC, Karel Volný
no flags Details
File: proc_pid_status (1.36 KB, text/plain)
2020-03-20 20:52 UTC, Karel Volný
no flags Details

Description Karel Volný 2020-03-20 20:51:49 UTC
Description of problem:
It crashes trying to visit www.aliexpress.com

Version-Release number of selected component:
qt5-qtwebengine-5.13.2-3.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        /usr/lib64/qt5/libexec/QtWebEngineProcess --type=renderer --disable-gpu-memory-buffer-video-frames --enable-threaded-compositing --use-gl=desktop --enable-features=AllowContentInitiatedDataUrlNavigations --disable-features=BackgroundFetch,MojoVideoCapture,SurfaceSynchronization,UsePdfCompositorServiceForPrint,UserActivationV2,VizDisplayCompositor --service-pipe-token=12892064820483654719 --lang=cs --webengine-schemes=qrc:sLV --num-raster-threads=4 --enable-main-frame-before-activation --service-request-channel-token=12892064820483654719 --renderer-client-id=128 --shared-files
crash_function: sandbox::CrashSIGSYS_Handler(sandbox::arch_seccomp_data const&, void*)
executable:     /usr/lib64/qt5/libexec/QtWebEngineProcess
journald_cursor: s=320c07ca9cf44365b299b04443844970;i=4da11;b=34a3ddde445f47859b9275701309d650;m=af32d1a6b;t=5a14f2b8f016a;x=e5baa52db2b32696
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
mountinfo:      
rootdir:        /proc/3398/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 sandbox::CrashSIGSYS_Handler(sandbox::arch_seccomp_data const&, void*) at ../../3rdparty/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc:218
 #1 sandbox::Trap::SigSys(int, siginfo_t*, ucontext_t*) at ../../3rdparty/chromium/sandbox/linux/seccomp-bpf/trap.cc:244

Comment 1 Karel Volný 2020-03-20 20:51:54 UTC
Created attachment 1672081 [details]
File: backtrace

Comment 2 Karel Volný 2020-03-20 20:51:57 UTC
Created attachment 1672082 [details]
File: core_backtrace

Comment 3 Karel Volný 2020-03-20 20:51:59 UTC
Created attachment 1672083 [details]
File: cpuinfo

Comment 4 Karel Volný 2020-03-20 20:52:01 UTC
Created attachment 1672084 [details]
File: dso_list

Comment 5 Karel Volný 2020-03-20 20:52:03 UTC
Created attachment 1672085 [details]
File: environ

Comment 6 Karel Volný 2020-03-20 20:52:05 UTC
Created attachment 1672086 [details]
File: exploitable

Comment 7 Karel Volný 2020-03-20 20:52:06 UTC
Created attachment 1672087 [details]
File: limits

Comment 8 Karel Volný 2020-03-20 20:52:11 UTC
Created attachment 1672088 [details]
File: maps

Comment 9 Karel Volný 2020-03-20 20:52:12 UTC
Created attachment 1672089 [details]
File: open_fds

Comment 10 Karel Volný 2020-03-20 20:52:14 UTC
Created attachment 1672090 [details]
File: proc_pid_status

Comment 11 Karel Volný 2020-03-20 20:59:38 UTC
... also www.bitstamp.net

Comment 12 Fedora Update System 2020-03-30 13:14:53 UTC
FEDORA-2020-16421b19ed has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-16421b19ed

Comment 13 Fedora Update System 2020-03-31 00:17:30 UTC
FEDORA-2020-16421b19ed has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Karel Volný 2020-03-31 08:31:33 UTC
Similar problem has been detected:

I just went to fio.cz ...

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        /usr/lib64/qt5/libexec/QtWebEngineProcess --type=renderer --disable-gpu-memory-buffer-video-frames --enable-threaded-compositing --use-gl=desktop --enable-features=AllowContentInitiatedDataUrlNavigations --disable-features=BackgroundFetch,MojoVideoCapture,SurfaceSynchronization,UsePdfCompositorServiceForPrint,UserActivationV2,VizDisplayCompositor --service-pipe-token=2790232145884257913 --lang=cs --webengine-schemes=qrc:sLV --num-raster-threads=4 --enable-main-frame-before-activation --service-request-channel-token=2790232145884257913 --renderer-client-id=871 --shared-files
crash_function: sandbox::CrashSIGSYS_Handler(sandbox::arch_seccomp_data const&, void*)
executable:     /usr/lib64/qt5/libexec/QtWebEngineProcess
journald_cursor: s=320c07ca9cf44365b299b04443844970;i=5613e;b=34a3ddde445f47859b9275701309d650;m=dd9bd71dee;t=5a2224d21ffb6;x=cc19b95fb949ffdd
kernel:         5.6.0-0.rc5.git0.2.fc32.x86_64
mountinfo:      
package:        qt5-qtwebengine-5.13.2-4.fc32
reason:         QtWebEngineProcess killed by SIGSEGV
rootdir:        /proc/70872/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors:


Note You need to log in before you can comment on or make changes to this bug.